#pragma once
#include "afxcmn.h"
#include "afxwin.h"


// CCParkingCfgDlg 对话框

class CCParkingCfgDlg : public CDialog
{
	DECLARE_DYNAMIC(CCParkingCfgDlg)

public:
	CCParkingCfgDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CCParkingCfgDlg();

// 对话框数据
	enum { IDD = IDD_PARKING_CFG_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	int m_row;
	int m_colunm;
	CListCtrl m_ParkingSpaceCfgCtrl;
	virtual BOOL OnInitDialog();
	CEdit m_edit;
	afx_msg void OnNMDblclkListParkSpace(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnEnKillfocusEditParkingctrl();

	void GetParkingSpacecfg();
	afx_msg void OnBnClickedButtonGetParkingcfg();
	CComboBox m_ComboxCatorMode;
	CComboBox m_ComboxCatorColor;
	CComboBox m_ComboxCatorStatus;
	afx_msg void OnBnClickedButtonParkCatorcontrol();
	afx_msg void OnBnClickedButtonParkCatorstatus();
};
